function [centerFrame, reconImg1, reconImg2, meanImg, medianImg] = exp_getReconComp(img, frames, tsel, blockx1, blocky1, blockx2, blocky2, b, deltapsReals1, deltapsReals2)
% Created by Yuandong Tian, Oct. 5, 2009
% Email: yuandong@andrew.cmu.edu
% compare the result with mean and median

[reconImg1] = exp_getRecon(img, frames, tsel, blockx1, blocky1, b, deltapsReals1);
[reconImg2] = exp_getRecon(img, frames, tsel, blockx2, blocky2, b, deltapsReals2);

meanImg = mean(frames(:, :, tsel), 3);
medianImg = median(frames(:, :, tsel), 3);

% center frame
tlen = length(tsel);
centerFrame = frames(:, :, tsel(floor(tlen/2)+1));

